#!/bin/bash


for i in {0..181..5}; 
do

 
TEMPLATE="template.lam"
INP_STRUCTURE="octane_${i}.lmpdat"

# file_to_read.lmpdat

cat ${TEMPLATE} > temp_file.lam
sed "s~file_to_read.lmpdat~${INP_STRUCTURE}~g" temp_file.lam > calc_file.lam
sed "s~dihedral_angle_to_set~$((360-i))~g" calc_file.lam > temp_file.lam
sed "s~file_to_write.dump~${i}.dump~g" temp_file.lam > calc_file.lam

rm temp_file.lam

lmp -in calc_file.lam > log_$i

done

# units real
# atom_style full
# boundary s s s

# read_data file_to_read.lmpdat

# include tinker.prm
# thermo_style custom step pe fnorm fmax vol
# thermo 1
# timestep 10
# neigh_modify one 200

# fix restrain all restrain dihedral 7 10 13 16 5000 5000 dihedral_angle_to_set

# fix_modify restrain energy yes
# minimize 0.0e+00 1.0e-05 10000 100000

# write_dump all custom file_to_write.dump element x y z fx fy fz modify sort id element C C H H
# print 'Final volume = $(vol)'
# print 'Final potential energy = $(pe)'
# print 'Final gradient norm = $(fnorm)'
# print 'Execution terminated normally'
